%define _altdata_dir %_datadir/alterator

Name: alterator-net-common
Version: 0.5
Release: alt2.M41.1

Packager: Stanislav Ievlev <inger@altlinux.org>

Requires: libshell hal etcnet

BuildArch: noarch

Source: %name-%version.tar

Summary: helpers for etcnet administration
License: GPL
Group: System/Base
Requires: openssl

%description
helpers for etcnet administration

%prep
%setup -q

%install
%makeinstall

%files
%_bindir/*
%_libexecdir/%name/

%changelog
* Mon Dec 01 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt2.M41.1
- build for 4.1

* Mon Dec 01 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt3
- resurrect read_iface_option behavior

* Wed Nov 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt1.M41.1
- build for 4.1

* Fri Oct 24 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt2
- s,ash,sh,

* Tue Oct 21 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt1
- improve netname, add: netcheck, list_static_iface, read_iface_addr, write_iface_addr

* Thu Oct 02 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt3.M41.1
- build for 4.1

* Thu Oct 02 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt4
- cleanup sh-code

* Wed Oct 01 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt3
- read_iface_option(): work with unexistent iface dirs

* Wed Oct 01 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt1.M41.1
- build for 4.1

* Wed Oct 01 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.4-alt2
- add support for default/options and default/options-<type> 
  to alterator-net-functions/read_iface_option()

* Thu Aug 28 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt0.M41.1
- build for 4.1

* Thu Aug 28 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- add functions: netname, list_iface, list_network

* Tue Aug 05 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt0.M41.1
- build for 4.1

* Tue Jun 17 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- add alterator-net-functions library

* Tue Jan 15 2008 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4
- hal workaround: ignore device duplicates

* Mon Jan 14 2008 Stanislav Ievlev <inger@altlinux.org> 0.2-alt3
- add ifread utility

* Fri Jan 04 2008 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- ifaceinfo: add support for pcmcia network cards

* Wed Nov 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- use hal

* Tue Oct 30 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- add iftabupdate utility

* Thu Oct 25 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- simplify ifcheckup utility
- add maskname and ifaceinfo utilities

* Thu Jul 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial release
